#### Previous topic

scipy.spatial.distance.hamming

#### Next topic

scipy.spatial.distance.kulsinski

# scipy.spatial.distance.jaccard

`scipy.spatial.distance.``jaccard`(u, v)

  Computes the Jaccard-Needham dissimilarity between two boolean 1-D arrays.

  The Jaccard-Needham dissimilarity between 1-D boolean arrays u and v, is defined as

  \[\frac{c_{TF} + c_{FT}} {c_{TT} + c_{FT} + c_{TF}}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\).

  Parameters:

  u : (N,) array_like, bool

  > Input array.

  v : (N,) array_like, bool

  > Input array.

  Returns:

  jaccard : double

  > The Jaccard distance between vectors u and v.